For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Overview
    • Introduction
    • Response Codes
  • API Reference
      • GETGet agency
LogoLogo
API ReferenceAgency

Get agency

||View as Markdown|
GET
https://hublinks.io/rest/agency/:agency_id
GET
/rest/agency/:agency_id
$curl https://hublinks.io/rest/agency/agency_id \
> -H "X-API-KEY: <apiKey>"
200Response
1{
2 "success": true,
3 "agency": {
4 "accounts": [
5 "ACCO1XXXXXXXXXXXXXXXXXXX",
6 "ACCO2XXXXXXXXXXXXXXXXXXX"
7 ],
8 "agency_id": "AGENXXXXXXXXXXXXXXXXXXXX",
9 "active_until": "2026-03-20",
10 "name": "My Account Agency",
11 "seats_assigned": 4,
12 "seats_paid": 4,
13 "seats_used": 1,
14 "status": "ENABLED",
15 "subscription_status": "active",
16 "created_at": 1763554329086,
17 "created_by": "john.doe@example.com"
18 }
19}
Retrieve agency details.
Was this page helpful?
Previous

Get account

Next

Get campaign

Built with

Authentication

X-API-KEYstring
API Key authentication via header

Path parameters

agency_idstringRequired

Query parameters

specific_attributesstringOptional

Comma-separated list of attributes to return. Any combination of: accounts, agency_id, active_until, name, seats_assigned, seats_paid, seats_used, status, stripe_customer_id, subscription_status, created_at, created_by.

Response

Successful response
successboolean
agencyobject